Loading...
Searching...
No Matches
partial_sort.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity> requires sortable<I, C, P> && random_access_iterator<I> && sentinel_for<S, I>
constexpr I | ranges::partial_sort (I first, I middle, S last, C pred=C{}, P proj=P{})
| function template `partial_sort`
template<typename Rng , typename C = less, typename P = identity> requires sortable<iterator_t<Rng>, C, P> && random_access_range<Rng>
constexpr borrowed_iterator_t< Rng > | ranges::partial_sort (Rng &&rng, iterator_t< Rng > middle, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.